<template name="Inventories">
  <div class="inventory-manager">
    <h1>Inventory</h1>
    {{#if inventory}}
      {{> ArticlesInventory}}
    {{else}}
      <p><button type="button" data-action="new-inventory">New inventory</button></p>
    {{/if}}
  </div>
</template>

<template name="ArticlesDisplayInventory">
  <p>{{ name }}</p>
</template>

<template name="ArticlesInventory">
  <div>
    <p>{{ inventoryStartedDate }}</p>
    {{> ArticlesSearch inventory="true"}}
    <br>
    {{#if inventory.articles}}
      <table>
        <tr>
          <th>Article Name</th>
          <th>In Stock</th>
          <th>Inventory</th>
          <th><i class="fa fa-trash"></i></th>
        </tr>

      {{#each inventory.articles}}
        {{> InventoryArticleRow}}
      {{/each}}
      </table>
    {{/if}}
    <p><button type="button" data-action="finish-inventory">Finish inventory</button></p>
  </div>
</template>

<template name="InventoryArticleRow">
    <tr>
      <td>{{ name }}</td>
      <td>{{ expectedQuantity }}</td>
      <td><input type="number" min="0" data-action="update-quantity" value="{{observedQuantity}}"></td>
      <td><button type="button" name="button" data-action="remove-article">&times;</button> </td>
    </tr>
</template>
